Get Policy By human-readable ID

Get Policy By human-readable ID

Retrieve the details of a specified Policy.

Request
URI
GET
https://{api_host}/advanced-designer-service/api/policies/hrid/{hrid}
COPY
Path Parameters
string
hrid
Required

Policy human-readable ID


Responses
200

'Success' with the Policy

Returns policyDefinition of type(s) */*
{
    "hrid": "string",
    "tenantId": "string",
    "description": "string",
    "id": "string",
    "properties": {
        "entries": [
            {
                "key": "string"
            }
        ]
    }
}
string As ^\w+$
hrid
Optional

hrid

string
tenantId
Optional

tenantId

string
description
Optional

description

string As uuid As uuid
id
Optional

id

properties
Optional

properties


404

'Not found' if no Policy with provided hrid

Operation doesn't return any data structure